Skip to content
First requestVisit website ↗
Navigation

Cancel active automation workflows for a contact

Cancels active workflow runs, active sequence-backed workflow runs, and pending sequence message jobs for one contact. It does not delete workflow or sequence definitions.

POST
https://api.channelautomation.com/api/contacts/{contactId}/cancel-active-workflows

Authorization

  • BearerAuth
    HTTP Bearer (JWT)
    required

Path parameters

  • contactId
    string
    required

    Contact ID whose active automation should be cancelled.

Header parameters

  • X-Workspace-Id
    optional
    string

    Workspace context when the user has switched workspaces.

Returns

200

Active automation cancellation attempted and Supabase execution rows updated.

400

Contact or workspace ID missing.

401

Authentication required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

404

Contact not found in the workspace.

500

Internal server error
JSON
  • error
    optional
    string
  • details
    optional
    string
  • success
    optional
    boolean

Type to search…

↑↓ navigate↵ selectEsc close